Kate-15.04.2

Introduction to Kate

The Kate package contains an advanced KF5 based graphical text editor.

This package is known to build and work properly using an LFS-7.7 platform.

Package Information

Kate Dependencies

Required

KDE Frameworks 5.11.0,

Optional

libgit2

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/kate5

Installation of Kate

Install Kate by running the following commands:

mkdir build &&
cd    build &&

cmake -DCMAKE_INSTALL_PREFIX=$KF5_PREFIX  \
      -DCMAKE_BUILD_TYPE=Release          \
      -DLIB_INSTALL_DIR=lib               \
      -DBUILD_TESTING=OFF                 \
      -Wno-dev .. &&
make

This package does not come with a test suite.

Now, as the root user:

make install

Contents

Installed Programs: kate and kwrite
Installed Libraries: libkdeinit5_kate.so and libkdeinit5_kwrite.so
Installed Directories: $KF5_PREFIX/lib/plugins/ktexteditor, $KF5_PREFIX/lib/plugins/plasma/dataengine, $KF5_PREFIX/share/doc/HTML/*/{kate,katepart,kwrite}, $KF5_PREFIX/share/{kateproject,katexmltools}, $KF5_PREFIX/share/kxmlgui5/{kate,katebuild,katecloseexceptplugin}, $KF5_PREFIX/share/kxmlgui5/{katectags,katefiletree,kategdb}, $KF5_PREFIX/share/kxmlgui5/{katekonsole,kateopenheaderplugin}, $KF5_PREFIX/share/kxmlgui5/{kateproject,katesearch,katesnippets}, $KF5_PREFIX/share/kxmlgui5/{katesql,katesymbolviewer,katexmltools}, $KF5_PREFIX/share/kxmlgui5/{kwrite,tabswitcher} and $KF5_PREFIX/share/plasma/plasmoids/org.kde.plasma.katesessions

Last updated on 2014-10-21 16:07:43 +0200